create vuln
POST
/v1/vulns
const url = 'http://api.disclosebot.localdev:3000/v1/vulns';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"data":{"type":"vuln","attributes":{"title":"example","description":"example"},"relationships":{"brief":{"data":{"type":"brief","id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://api.disclosebot.localdev:3000/v1/vulns \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "data": { "type": "vuln", "attributes": { "title": "example", "description": "example" }, "relationships": { "brief": { "data": { "type": "brief", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } } } } }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
data
required
object
type
required
string
attributes
required
object
title
required
string
description
required
string
relationships
required
object
brief
required
object
data
required
object
type
required
string
id
required
string format: uuid
Responses
Section titled “ Responses ”Success